// ------------------------------------------------------------------
// SKIES
// This section contains my sky textures and shaders
// Section created November 2, 2000 by Bryan "Vansen" MacDonald
// ------------------------------------------------------------------
// This first sky texture was created for the quakecon demo map.  This is also 
// ment for a sky tutorial to maybe help people learning to script.
// under each command is a number.  The number links back to the top to explain 
// what each command does.  This keeps the script clear.  I used lifer's clouds in
// making this project.
// ------------------------------------------------------------------
// 1 - texture/dirname/shadername
// 2 - This is the image that QER displays.
// 3 - No exploding on surface, IE rockets don't explode.
// 4 - No bullet marks on the surface.
// 5 - No lights are cast on surface.
// 6 - This tells the Q3 engine that it is a sky brush.
// 7 - This is the color and direction of the "sun" light.
//   - the {1 1 1} is the RBG. {45 124 157} - 90 is the ray intensity 
//   - 124 is direction of the sun(left or right)
//   - the second 124 is elevation of sun(up or down)
// 8 - This states how much light the skybox will give off.
// 9 - This denotes the path to your sky box and how much distance between the sky and clouds

textures/vansen/Dusty
// 1
{
qer_editorimage textures/skies/dusty.tga
// 2 
surfaceparm noimpact
// 3 
surfaceparm nomarks
// 4 
surfaceparm nolightmap
// 5 
surfaceparm sky
// 6 
q3map_sun 1 1 1 90 124 124
// 7
q3map_surfacelight 75
//8
skyparms env/vansen/dusty 256 -
//9

{
        map textures/aaron/clouds1.tga
        tcMod scroll 0.002 -0.00126
        tcMod scale 5 4
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
	{
        map textures/aaron/clouds2.tga
        tcMod scroll 0.007 -0.0083
        tcMod scale 5 4
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// ----------------------------------------------------
// Glass
// This section will contain custom glass shaders.
// This section was created on November 3, 2000 by
// Bryan "Vansen" MacDonald
// ----------------------------------------------------

// ----------------------------------------------------
// Console and Menu
// This was created on November 3, 2000 by Bryan "Vansen" MacDonald
// ----------------------------------------------------
// console
// {
// 	nopicmip
//	nomipmaps
//    
//      {
//		map gfx/misc/console01.tga
//              blendFunc GL_ONE GL_ZERO
//              tcMod scroll .02  0
//              tcmod scale 2 1
//	}
//      {
//              map gfx/misc/console02.tga
//              //map textures/sfx/firegorre3.tga
//              blendFunc add
//              tcMod turb 0 .1 0 .1
//              tcMod scale 2 1
//              tcmod scroll 0.2  .1
//	} 
//
// }

//LevelShotDetail
// used to break up the blur on levelshots
//{
//	nopicmip
//	{
//		map textures/sfx/detail.tga
//      blendFunc GL_DST_COLOR GL_SRC_COLOR
//		rgbgen identity
//	}
//}
//
// ----------------------------------------------------
// Lights
// This section has been designed for special lights used 
// in qcon2.  This section was created on November 3, 2000
// by Bryan "Vansen" MacDonald.
// ----------------------------------------------------
textures/common/streetlight
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/common/streetlight.tga
            blendFunc GL_ONE GL_ONE
          }
}

// ---

// 1 - this TGA is the source for the color of the blended light
// 2 - base TGA (used because the shader is used with several
//     different light values)
// 3 - emitted light value of 10,000
// 4 - source texture is affected by the lightmap
// 5 - this command handles the overbright bits created by sunlight
//     in the game.

textures/vansen/SpotLight 
{ 
q3map_lightimage textures/vansen/spotlight.tga
// 1
qer_editorimage textures/vansen/spotlight.tga
// 2
q3map_surfacelight 10000 
// 3
{ 
map $lightmap 
// 4
rgbGen identity 
// 5
} 
{ 
map textures/vansen/spotlight.tga
blendFunc filter
rgbGen identity
} 
{ 
map textures/vansen/spotlight.tga
blendFunc add
} 
}

// ----------------------------------------------
// Lightining Bolt
// This was taken from id's lightning gun texture and modifited.  
// Section created November 6, 2000
// ----------------------------------------------

textures/vansen/lightningBolt
{
	q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/vansen/lightning3.jpg
	qer_editorimage textures/vansen/lightning3.jpg
	cull none
	{
		map gfx/misc/lightning3.tga
		blendFunc GL_ONE GL_ONE
//                rgbgen wave sin 1 5.1 0 7.1
                rgbgen wave sin 1 0.5 0 7.1
                 tcmod scale  2 1
		tcMod scroll -5 0
	}
    {
		map gfx/misc/lightning3.tga
		blendFunc GL_ONE GL_ONE
//                rgbgen wave sin 1 8.3 0 8.1
                rgbgen wave sin 1 0.8 0 8.1
                tcmod scale  -1.3 -1
		tcMod scroll -7.2 0
	}
}

// ---------------------------------------------
// Health Floor
// Created November 6, 2000
// ---------------------------------------------
textures/vansen/hfblocks_p
{
	qer_editorimage textures/vansen/hfp.tga
	{
		map textures/vansen/proto_p1.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 1.6
		tcMod scale 2 2
	}
	{
		map textures/vansen/hfblocks_p.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 130
		tcMod stretch sin 0.8 0.2 0 0.2 
	}
	{
		map textures/vansen/hfblocks_p.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 80
		tcMod stretch sin 0.8 0.2 0 0.1 
	}
	{
		map textures/vansen/hfp.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
//		tcGen lightmap 
	}
}

// ------------------------------------------------------
// The next 4 shaders were created for the vanpong remake.
// Red, Brown, Green, and Yellow
// Created November 6, 2000
// ------------------------------------------------------


textures/vansen/red_glow_metal
{
	q3map_surfaceLight 1000
	qer_editorimage textures/vansen/red.tga
	{
		map textures/vansen/red.tga
		rgbGen identity
	}
	{
		map textures/sfx/hologirl.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 0.4
		tcMod scroll 6 0.6
	}
	{
		map textures/vansen/red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity	
		blendfunc filter
//		tcGen lightmap 
	}
}

textures/vansen/blue_glow_metal
{
	qer_editorimage textures/vansen/blue.tga
	{
		map textures/vansen/blue.tga
		rgbGen identity
	}
	{
		map textures/sfx/hologirl.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 0.4
		tcMod scroll 6 0.6
	}
	{
		map textures/vansen/blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity	
		blendfunc filter
//		tcGen lightmap 
	}
}

textures/vansen/green_glow_metal
{
	qer_editorimage textures/vansen/green.tga
	{
		map textures/vansen/green.tga
		rgbGen identity
	}
	{
		map textures/sfx/hologirl.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 0.4
		tcMod scroll 6 0.6
	}
	{
		map textures/vansen/green.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity	
		blendfunc filter
//		tcGen lightmap 
	}
}

textures/vansen/brown_glow_metal
{
	qer_editorimage textures/vansen/brown.tga
	{
		map textures/vansen/brown.tga
		rgbGen identity
	}
	{
		map textures/sfx/hologirl.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 0.4
		tcMod scroll 6 0.6
	}
	{
		map textures/vansen/brown.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity	
		blendfunc filter
//		tcGen lightmap 
	}
}

// -----------------------------------------------
// The red pusle is created for the vanpong remake.
// Created November 6, 2000
// -----------------------------------------------


textures/vansen/red_pulse
{
	qer_editorimage textures/vansen/red_pulse.tga
	q3map_lightimage textures/vansen/red_pulse.tga
	q3map_surfacelight 300
	{
	
		map $lightmap 
		blendfunc filter
		rgbGen identity
//		tcGen lightmap 
	}
	{
		map textures/vansen/red_pulse.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.035 1
		tcMod scroll -0.65 0
	}
}


// ---------------------------------------------------------
// This is the fire texture used for the red team armory entry
// Created november 8, 2000
// ---------------------------------------------------------


textures/vansen/flame1
{

	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 775
	

	{
		animMap 10 textures/vansen/flame1.tga textures/vansen/flame2.tga textures/vansen/flame3.tga textures/vansen/flame4.tga textures/vansen/flame5.tga textures/vansen/flame6.tga textures/vansen/flame7.tga textures/vansen/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/vansen/flame2.tga textures/vansen/flame3.tga textures/vansen/flame4.tga textures/vansen/flame5.tga textures/vansen/flame6.tga textures/vansen/flame7.tga textures/vansen/flame8.tga textures/vansen/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/vansen/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// -----------------------------------------------------------------
// This is the fog used for the red armory entry room
// Created November 9, 2000
// -----------------------------------------------------------------

textures/vansen/redfog_15
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 15
	fogparms ( .5 .12 .1 ) 300

	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
	}
}

textures/vansen/blocks10_firewall
{
    q3map_lightimage textures/sul_basic/rxn_logo_glow.tga
    q3map_surfacelight 500

   {
        map textures/vansen/blocks10_firewall.tga
	rgbGen identity
   }
   {
        map textures/base_wall/chrome_env.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
        tcmod scale .25 .25
    }
    {
        map textures/sfx/firegorre2.tga
        tcmod scroll 0.1 1
        tcmod scale 1 1
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }   
	{
        map textures/vansen/blocks10_firewall.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
        depthwrite
	}
    {
	map $lightmap
	rgbGen identity
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        depthfunc equal
   }
}

textures/vansen/blocks10_firewallqcon
{
    q3map_lightimage textures/sul_basic/rxn_logo_glow.tga
    q3map_surfacelight 500

   {
        map textures/vansen/blocks10_firewallqcon.tga
	rgbGen identity
   }
   {
        map textures/base_wall/chrome_env.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
        tcmod scale .25 .25
    }
    {
        map textures/sfx/firegorre2.tga
        tcmod scroll 0.1 1
        tcmod scale 1 1
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }   
	{
        map textures/vansen/blocks10_firewallqcon.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
        depthwrite
	}
    {
	map $lightmap
	rgbGen identity
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        depthfunc equal
   }
}